Bug 1401778 - Under Wayland switching between documents using the Window menu doesn't work
Summary: Under Wayland switching between documents using the Window menu doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 25
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-06 04:56 UTC by David H. Gutteridge
Modified: 2017-01-22 02:31 UTC (History)
5 users (show)

Fixed In Version: libreoffice-5.2.3.3-12.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-22 02:31:18 UTC
Type: Bug


Attachments (Terms of Use)

Description David H. Gutteridge 2016-12-06 04:56:21 UTC
Description of problem:
Under Wayland switching between documents using the Window menu doesn't work. Clicking a different document name doesn't switch to that document's window. This isn't an issue under Xorg.

Version-Release number of selected component (if applicable):
libreoffice-5.2.3.3-11.fc25

How reproducible:
Always

Steps to Reproduce:
1. Open two or more documents in LibreOffice.
2. Attempt to change document windows using the Window menu. Nothing will happen.

Actual results:
No window switch.

Expected results:
Window switch.

Comment 1 Caolan McNamara 2016-12-06 21:02:08 UTC
its event timestamping problems I believe

Comment 2 David H. Gutteridge 2017-01-18 19:45:47 UTC
Confirming resolved in libreoffice-5.2.4.2-3.fc25.


Note You need to log in before you can comment on or make changes to this bug.